### Method

# GimpUi BrushSelectButton get_brush

#### Declaration [src]

    const gchar*
    gimp_brush_select_button_get_brush (
      GimpBrushSelectButton* button,
      gdouble* opacity,
      gint* spacing,
      GimpLayerMode* paint_mode
    )

#### Description [src]

Retrieves the properties of currently selected brush.

Available since: | 2.4

#### Parameters

`opacity` | `gdouble*`
| Opacity of the selected brush.
| The argument will be set by the function.
| The argument can be `NULL`.
`spacing` | `gint*`
| Spacing of the selected brush.
| The argument will be set by the function.
| The argument can be `NULL`.
`paint_mode` | `GimpLayerMode`
| Paint mode of the selected brush.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | `const gchar*`
| An internal copy of the brush name which must not be freed.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.